<?xml version="1.0" encoding="UTF-8"?>
<project name="In-Portal (full)" default="build">
	<property file="build.properties" />
	<resolvepath propertyName="base.dir" file="${base.dir}"/>

	<property name="scan.dir" value="${base.dir}"/>
	<property name="pdepend.exclude" value="blog,build,core/editor,core/ckeditor,core/units/general/libchart,modules/mpdf,system,vendor"/>
	<property name="phpcpd.exclude" value="--exclude blog --exclude build --exclude core/editor --exclude core/ckeditor --exclude core/units/general/libchart --exclude modules/mpdf --exclude system --exclude vendor"/>

	<import file="targets/common.xml"/>

	<target name="phpmd-ci" description="Perform project mess detection using PHPMD (creates a log file for the CI server)" depends="init">
		<parallel threadCount="4">
			<phingcall target="phpmd-ci-inc">
				<property name="param.report.file" value="pmd_modules.xml"/>
				<property name="param.include" value="${scan.dir}/modules"/>
				<property name="param.exclude" value="admin_templates,mpdf"/>
			</phingcall>

			<phingcall target="phpmd-ci-inc">
				<property name="param.report.file" value="pmd_core.xml"/>
				<property name="param.include" value="${scan.dir}/core"/>
				<property name="param.exclude" value="admin_templates,ckeditor,editor,units/general/libchart"/>
			</phingcall>
		</parallel>
	</target>

	<fileset dir="${base.dir}" id="php.files">
		<include name="**/*.php"/>
		<exclude name="blog/**"/>
		<exclude name="build/**"/>
		<exclude name="core/editor/**"/>
		<exclude name="core/ckeditor/**"/>
		<exclude name="core/units/general/libchart/**"/>
		<exclude name="modules/mpdf/**"/>
		<exclude name="system/**"/>
		<exclude name="vendor/**"/>
	</fileset>
</project>
